// Show languages
function(pageItem, doc, appVersion)
{
	var info = "";
	
	var languageList = "";
	do 
	{
		if (! (pageItem instanceof TextFrame))
		{
			break;
		}

		var ranges = pageItem.parentStory.textStyleRanges;
		if (ranges.length == 0) 
		{
			break;
		}

		var languages = {};
		for (var textIdx = 0; textIdx < ranges.length; textIdx++) 
		{
			var range = ranges.item(textIdx);
			var language = range.appliedLanguage;
			
			if (language instanceof LanguageWithVendors) 
			{
				language = language.name;
			}
			else if (language instanceof Language) 
			{
				language = language.name;
			}
			else if (! (typeof language == "string")) 
			{
				language = null;
			}

			if (typeof language == "string") 
			{
				languages[language] = true;
			}            
		}

		var sortedLanguages = [];
		for (language in languages) 
		{
			sortedLanguages.push(language);
		}

		if (sortedLanguages.length == 0) 
		{
			break;
		}

		sortedLanguages.sort();
		for (var languageIdx = 0; languageIdx < sortedLanguages.length; languageIdx++) 
		{
			languageList = languageList + (languageIdx > 0 ? "," : "") + sortedLanguages[languageIdx];
		}

	}
	while (false);

	info = languageList;

	return info;
}